<?php


class p_addphoto extends cmsPlugin {

// ==================================================================== //

    public function __construct(){
        
        parent::__construct();

        // Информация о плагине

        $this->info['plugin']           = 'p_addphoto';
        $this->info['title']            = 'Плагин фото в статье';
        $this->info['description']      = 'Добавляет фото в конце каждой статьи';
        $this->info['author']           = 'Amurland';
        $this->info['version']          = '1.0';

        // Настройки по-умолчанию

        $this->config['text']           = 'Информация';
        $this->config['round']          = 5;
        $this->config['counter']        = 10;

        // События, которые будут отлавливаться плагином

        $this->events[]                 = 'GET_ARTICLE';

    }

// ==================================================================== //

    /**
     * Процедура установки плагина
     * @return bool
     */
    public function install(){

$sql="CREATE TABLE IF NOT EXISTS `cms_photo_content` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `article_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `url` varchar(250) NOT NULL,
  `title` varchar(250) NOT NULL,
  `desc` text NOT NULL,
  `published` int(2) NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;";
$this->inDB->query($sql);

        return parent::install();

    }

// ==================================================================== //

    /**
     * Процедура обновления плагина
     * @return bool
     */
    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    /**
     * Обработка событий
     * @param string $event
     * @param mixed $item
     * @return mixed
     */
    public function execute($event, $item){

        parent::execute();

        switch ($event){
            case 'GET_ARTICLE': $item = $this->eventGetArticle($item); break;
        }

        return $item;

    }

// ==================================================================== //

/*загрузка файла

таблицы при установке*/



    private function eventGetArticle($item) {
$inUser = cmsUser::getInstance();

$sql="SELECT * FROM `cms_photo_content` where `article_id`='".$item['id']."'";
$result = $this->inDB->query($sql);

 $total=$this->inDB->num_rows($result);

if($total>0)
{

	$item['content'].=' 
		<h3>Изображения к материалу</h3>
		<link href="/includes/jquery/lightbox/css/jquery.lightbox.css" rel="stylesheet" type="text/css" />
	<script language="JavaScript" type="text/javascript" src="/includes/jquery/lightbox/js/jquery.lightbox.js"></script>';
	 while($post = $this->inDB->fetch_assoc($result)){
	 	 $item['content'].='<div style="float:left;border:1px solid #777;height:100px;padding:3px;margin:3px;border-radius:3px;"><a href="/images/content/'.$post['url'].'" title="'.$post['desc'].'" class="lightbox-enabled" rel="lightbox-galery"><img src="/images/content/small_'.$post['url'].'" title="'.$post['title'].'" style="border-radius:5px;"/></a></div>';
	 }
}


$item['content'].='<div style="clear:left;"> </div>';

if($inUser->is_admin)
{
	
	$inform = $this->inCore->request('inform', 'str', "no");

	//$_SERVER[HTTP_REFERER]
	if($inform=="no")
	{
        $item['content'] .= '<p>
        <form action="" method="post">
        <span style="color:red;font-size:10px;">	Вы можете присоединить изображения к данной статье. Функция только для администраторов</span><br/>
        	<input type="hidden" name="inform" value="ok">
        	<input type="submit" value="Присоединить">
        </form>
        <form action="" method="post">
        <span style="color:red;font-size:10px;">
        	<input type="hidden" name="inform" value="del">
        	<input type="submit" value="Выбрать изображения для удаления">
        </form>
	       
	        </p>';
    }
    elseif($inform=="del")
	{$item['content'] .= '<p>Выбор изображений</p>';
	
	$images = $this->inCore->request('images', 'str', "");
	foreach($images as $k=>$i)
	{
		$sql="SELECT * FROM `cms_photo_content` where `id`='".$i."'";
		$result = $this->inDB->query($sql);
		$post = $this->inDB->fetch_assoc($result);
		$file = $post['url'];
		unlink(PATH."/images/content/small_$file");
		unlink(PATH."/images/content/$file");
		$sql="delete from `cms_photo_content` where `id`='".$i."'";
		$result = $this->inDB->query($sql);
		$r=1;
	}
	if($r==1)
	{
		header("Location: ".$_SERVER[HTTP_REFERER]);
	}
	$sql="SELECT * FROM `cms_photo_content` where `article_id`='".$item['id']."'";
$result = $this->inDB->query($sql);
$item['content'].='<form action="" method="post">
<input type="hidden" name="inform" value="del">
';
 while($post = $this->inDB->fetch_assoc($result)){
 	 $item['content'].='<div style="float:left;border:1px solid #777;height:100px;padding:3px;margin:3px;border-radius:3px;"><label for="'.$post['url'].'"><img src="/images/content/small_'.$post['url'].'" style="border-radius:5px;" /><input type="checkbox" name="images[]" id="'.$post['url'].'" value="'.$post['id'].'"/></label>

</div>';
 }
 $item['content'].='<div style="clear:left;"> </div><input type="submit" value="Удалить выбранные"></form><br/>
         <form action="" method="post">
        	<input type="hidden" name="inform" value="no">

        	<input type="submit" value="Завершить">
        </form>
 ';

	
	
		
	}else	if($inform=="ok")
	{
		$upload = $this->inCore->request('upload', 'str', "no");
		if($upload=="no")
		{
        $item['content'] .= '<p>
        <form action="" method="post" enctype="multipart/form-data">
        	Имя изображения:<br/><input type="text" name="title" value=""/><br/>
        	Описание:<br/><input type="text" name="desc" value=""/><br/>
        	<input type="hidden" name="inform" value="ok"/>
        	<input type="hidden" name="upload" value="ok"/>
        	<input type="file" name="photo" style="width:350px" /><br/>
        	<input type="submit" value="Загрузить фото">
        </form>
        </strong></p>';
        }
        else
        {
        	$title = $this->inCore->request('title', 'str', "");
        	$desc = $this->inCore->request('desc', 'str', "");
        	$file = 'article_photo_'.$item['id'].'-'.time().'.jpg';

		if (isset($_FILES["photo"]["name"]) && @$_FILES["photo"]["name"]!=''){
			//generate image file
			$tmp_name   = $_FILES["photo"]["tmp_name"];
			//upload image and insert record in db
			if (@move_uploaded_file($tmp_name, PATH."/images/content/$file")){
				$this->inCore->includeGraphics();
				@img_resize(PATH."/images/content/$file", PATH."/images/content/small_$file", 100, 100, 1);
				
				@chmod(PATH."/images/content/$file", 0755);
				@chmod(PATH."/images/content/small_$file", 0755);
				
				$sql="INSERT INTO `cms_photo_content` (`id` ,`article_id` ,`user_id` ,`url` ,`title` ,`desc` ,`published` ,`date` )VALUES (NULL , '".$item['id']."', '".$inUser->id."', '".$file."', '".$title."', '".$desc."', '1', NOW());";
				 $result = $this->inDB->query($sql);
			}
		}
        	
        	
        	
        	  $item['content'] .= '<p>
        	  	 <span style="color:red;font-size:10px;">  Загрузка изображения завершена</span>
        <form action="" method="post">
        	<input type="hidden" name="inform" value="no">

        	<input type="submit" value="Завершить">
        </form>
        </strong></p>';
        }
    }
    else
    {
header("Location: ".$_SERVER[HTTP_REFERER]);
    }
}
else
{
	
}


        return $item;

    }

// ==================================================================== //

}

?>
